import 'package:cims_apps/application/assets/path_assets.dart';
import 'package:flutter/material.dart';

class GoalInvest {
  String icon;
  String title;

  GoalInvest(this.icon, this.title);
}

class GoalInvestingView extends StatelessWidget {
  const GoalInvestingView({super.key});

  @override
  Widget build(BuildContext context) {
    List<GoalInvest> listGoalInvest = [
      GoalInvest(PathAssets.iconToga, 'Education'),
      GoalInvest(PathAssets.iconCake, 'Marriage'),
      GoalInvest(PathAssets.iconHouse, 'Old age days'),
      GoalInvest(PathAssets.iconCreatePlan, 'Create Plan'),
    ];



    return Column(
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text('Your Goal in Investing'),
            GestureDetector(
              child: Icon(Icons.close_rounded),
            ),
          ],
        ),
        ...listGoalInvest.asMap().entries.map((e) {
          return ListTile(
            leading: Image.asset(e.value.icon),
            title: Text(e.value.title),
            trailing: Icon(Icons.chevron_right_rounded),
          );
        })
      ],
    );
  }
}
